Data Member
header
The BamHeader of the BamStream object.
SAM and BAM files have a header. When writing SAM or BAM files, you have to fill this member before writing BamAlignmentRecords. Upon writing the first record, the header will be written out.
When reading BAM files, the header will be read upon opening the file. When reading SAM files, any header will be read upon opening the file.
Note that there is a special case when reading SAM records: If there is no header, or records refer to reference sequences that are previously unknown when reading SAM then a new entry is added to sequenceInfos.\
Member of
BamStream
Metafunctions

BamHeader | Stores the information of the BAM header.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59